GET https://api.ap1.datadoghq.com/api/v2/experiments/subject-types/{subject_type_id} https://api.ap2.datadoghq.com/api/v2/experiments/subject-types/{subject_type_id} https://api.datadoghq.eu/api/v2/experiments/subject-types/{subject_type_id} https://api.ddog-gov.com/api/v2/experiments/subject-types/{subject_type_id} https://api.us2.ddog-gov.com/api/v2/experiments/subject-types/{subject_type_id} https://api.uk1.datadoghq.com/api/v2/experiments/subject-types/{subject_type_id} https://api.datadoghq.com/api/v2/experiments/subject-types/{subject_type_id} https://api.us3.datadoghq.com/api/v2/experiments/subject-types/{subject_type_id} https://api.us5.datadoghq.com/api/v2/experiments/subject-types/{subject_type_id}
Overview Get a subject type. Returns a single subject type by its ID for the organization.
This endpoint requires the product_analytics_settings_read permission.
OAuth apps require the product_analytics_settings_read authorization scope to access this endpoint.
Arguments Path Parameters subject_type_id [required ]
The UUID of the subject type.
Query Strings Set to counts to add experiment_count, exposure_source_count, metric_sql_model_count and protocol_count.
Response OK
Response containing the subject type.
Expand All
JSON:API resource containing the subject type identity and fields.
Details of the subject type.
Time when this resource was created.
Number of experiments that reference this resource.
Number of exposure sources that reference this subject type.
Whether this is the organization's default subject type.
Number of metric SQL models that reference this subject type.
Metadata retained for resources imported from another system.
Display name of the subject type.
product_analytics_attribute
Product Analytics attribute used to identify subjects of this type.
Number of protocols that reference this subject type.
Time when this resource was last updated.
Warehouse columns that identify subjects of this type.
Subject types resource type.
Allowed enum values: subject-types
default: subject-types
{
"data" : {
"attributes" : {
"created_at" : "2024-01-01T12:00:00Z" ,
"is_default" : true ,
"name" : "User" ,
"product_analytics_attribute" : "@usr.id" ,
"updated_at" : "2024-01-01T12:00:00Z" ,
"warehouse_column_names" : [
"user_id" ,
"customer_id"
]
},
"id" : "550e8400-e29b-41d4-a716-446655440010" ,
"type" : "subject-types"
}
} Malformed subject type ID (not a valid UUID), or an unsupported include value.
API error response.
Expand All
A human-readable explanation specific to this occurrence of the error.
Non-standard meta-information about the error
References to the source of the error.
A string indicating the name of a single request header which caused the error.
A string indicating which URI query parameter caused the error.
A JSON pointer to the value in the request document that caused the error.
Status code of the response.
Short human-readable summary of the error.
{
"errors" : [
{
"detail" : "Missing required attribute in body" ,
"meta" : {},
"source" : {
"header" : "Authorization" ,
"parameter" : "limit" ,
"pointer" : "/data/attributes/title"
},
"status" : "400" ,
"title" : "Bad Request"
}
]
} Missing or invalid authentication.
API error response.
Expand All
A human-readable explanation specific to this occurrence of the error.
Non-standard meta-information about the error
References to the source of the error.
A string indicating the name of a single request header which caused the error.
A string indicating which URI query parameter caused the error.
A JSON pointer to the value in the request document that caused the error.
Status code of the response.
Short human-readable summary of the error.
{
"errors" : [
{
"detail" : "Missing required attribute in body" ,
"meta" : {},
"source" : {
"header" : "Authorization" ,
"parameter" : "limit" ,
"pointer" : "/data/attributes/title"
},
"status" : "400" ,
"title" : "Bad Request"
}
]
} Authenticated caller lacks the product_analytics_settings_read permission.
API error response.
Expand All
A human-readable explanation specific to this occurrence of the error.
Non-standard meta-information about the error
References to the source of the error.
A string indicating the name of a single request header which caused the error.
A string indicating which URI query parameter caused the error.
A JSON pointer to the value in the request document that caused the error.
Status code of the response.
Short human-readable summary of the error.
{
"errors" : [
{
"detail" : "Missing required attribute in body" ,
"meta" : {},
"source" : {
"header" : "Authorization" ,
"parameter" : "limit" ,
"pointer" : "/data/attributes/title"
},
"status" : "400" ,
"title" : "Bad Request"
}
]
} No subject type with this ID exists for the organization.
API error response.
Expand All
A human-readable explanation specific to this occurrence of the error.
Non-standard meta-information about the error
References to the source of the error.
A string indicating the name of a single request header which caused the error.
A string indicating which URI query parameter caused the error.
A JSON pointer to the value in the request document that caused the error.
Status code of the response.
Short human-readable summary of the error.
{
"errors" : [
{
"detail" : "Missing required attribute in body" ,
"meta" : {},
"source" : {
"header" : "Authorization" ,
"parameter" : "limit" ,
"pointer" : "/data/attributes/title"
},
"status" : "400" ,
"title" : "Bad Request"
}
]
} Too many requests
{
"errors" : [
"Bad Request"
]
} Code Example Copy
# Path parameters export subject_type_id = "550e8400-e29b-41d4-a716-446655440000" # Use a Personal Access Token or Service Access Token export DD_BEARER_TOKEN = "<PERSONAL_ACCESS_TOKEN OR SERVICE_ACCESS_TOKEN>" # Curl command curl -X GET "https://api.ap1.datadoghq.com "https://api.ap2.datadoghq.com "https://api.datadoghq.eu "https://api.ddog-gov.com "https://api.us2.ddog-gov.com "https://api.uk1.datadoghq.com "https://api.datadoghq.com "https://api.us3.datadoghq.com "https://api.us5.datadoghq.com /api/v2/experiments/subject-types/${subject_type_id} " \
-H "Accept: application/json" \
-H "Authorization: Bearer ${DD_BEARER_TOKEN} "